LOGIN(1)

NAZWA
login - rozpocznij sesję pracy w systemie

SKŁADNIA
login [-p] [użytkownik] [ZMIENNA=WARTOŚĆ ...]
login [-p] [-h host] [-f użytkownik]
login [-p] -r host

OPIS
login służy do utworzenia nowej sesji pracy z systemem. Zwykle wywoływane jest automatycznie w odpowiedzi na zachętę login: na terminalu użytkownika. login może być specyficzne dla powłoki i nie może zostać wywołane jako podproces. Najczęściej, login traktowane jest przez powłokę jako exec login, co powoduje opuszczenie przez użytkownika bieżącej powłoki. Próba wykonania login z powłoki innej niż zgłoszeniowa powoduje wypisanie komunikatu o błędzie.

Użytkownik pytany jest o hasło, jeśli takowe istnieje. Dla zapobieżenia ujawnieniu hasła wyświetlanie wprowadzanych znaków jest w trakcie jego wprowadzania wyłączone. Dozwolona jest jedynie niewielka liczba nieudanych prób podania hasła. Po wyczerpaniu limitu prób login kończy pracę zaś połączenie komunikacyjne jest zrywane.

Jeżeli dla konta użytkownika włączona jest kontrola ważności hasła, może on być poproszony o podanie nowego hasła przed kontynuacją. Będzie wówczas musiał podać stare i nowe hasło. Więcej informacji na ten temat znajduje się w passwd(1).

Po poprawnym rozpoczęciu sesji (zalogowaniu się), zostanie wyświetlona wiadomości dnia (jeśli jest) i informacja o stanie skrzynki pocztowej. Można wyłączyć wyświetlanie zawartości pliku wiadomości dnia, /etc/motd, tworząc w swoim katalogu domowym plik .hushlogin o zerowej długości. Informacja o stanie skrzynki pocztowej jest jedną z: "Masz nową pocztę." (You have new mail.), "Masz pocztę." (You have mail.) lub "Nie masz poczty." (No Mail.) - stosownie do stanu skrzynki.

Identyfikator użytkownika i grupy (UID i GID) zostaną ustawione według wartości w pliku /etc/passwd. Wartości $HOME, $SHELL, $PATH, $LOGNAME i $MAIL ustawiane są stosownie do odpowiednich pól danego wpisu pliku haseł. Mogą być również ustawiane wartości ulimit, umask oraz nice według wpisów w polu GECOS.

W niektórych systemach zostanie ustawiona zmienna środowiskowa $TERM, wskazująca na typ terminala na linii tty, jak podano w /etc/ttytype.

Może także zostać wykonany skrypt startowy (inicjacyjny) odpowiedniego interpretatora poleceń. Bardziej szczegółowe informacje na ten temat można znaleźć w odpowiednim rozdziale podręcznika man.

Logowanie do podsystemu jest wykazywane przez obecność "*" jako pierwszego znaku powłoki zgłoszeniowej. Podany katalog domowy zostanie potraktowany jako katalog główny nowego systemu plików, do którego użytkownik się zaloguje.

OPCJE

-f  Nie przeprowadzanie autentykacji, użytkownik już został zautentykowany.

-h  Name zdalnego hosta dla tego logowania.

-p  Zachowanie środowiska.

-r  Przeprowadzenie procedury automatycznego logowania dla rlogin.

Opcje -r, -h i -f mogą być używane tylko w przypadku wywołania login przez roota.

PRZESTROGI
Niniejsza wersja login posiada wiele opcji kompilacji, z których tylko część będzie mieć zastosowanie w danej instalacji.

Położenie plików może być różne w zależności od konfiguracji systemu.

PLIKI
/var/run/utmp    - lista bieżących sesji pracy
/var/log/wtmp    - lista poprzednich sesji pracy
/etc/passwd    - informacje o kontach użytkowników
/etc/shadow    - zakodowane hasła i informacje o ich ważności
/etc/motd    - plik 'wiadomości dnia'
/etc/nologin    - zapobiega logowaniu innych niż root
/etc/ttytype    - lista typów terminali
$HOME/.hushlogin    - zapobiega wyświetlaniu wiadomości dnia

ZOBACZ TAKŻE
mail(1), passwd(1), sh(1), su(1), login.defs(5), nologin(5), passwd(5), getty(8)

AUTOR
Julianne Frances Haugh <jockgrrl@ix.netcom.com>